Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/13780/?format=api
{ "ob_id": 13780, "uuid": "3c2c74d6e3f8480297ccf6f85aa21758", "title": "Eyjafjallajokull Volcanic Ash Cloud: Lightning data from the Met Office's ATDnet system", "abstract": "The Icelandic Volcano, Eyjafjallajokull, started erupting on 14th April 2010. The volcanic ash cloud produced covered much of Northern Europe for several weeks causing extensive disruption to air travel. The UK and European atmospheric communities had many instruments - both airborne and ground-based, remote sensing and in-situ - taking measurements of the ash cloud throughout this period. This dataset contains measurements from lightning data from the Met Office's ATDnet system.", "keywords": "Eyjafjallajokull, Lightning, Met Office, atdnet, strikes", "publicationState": "published", "dataPublishedTime": "2014-09-19T13:24:43", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/13781/?format=api", "dataPath": "/badc/eyjafjallajokull/data/met_office/data/5_Lightning-ATD", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 25644087, "numberOfFiles": 164, "fileFormat": "Images are JPG and PNG formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/513/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/825/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data collected by the Met Office's ATDnet system. A copy of these data were made available to the British Atmospheric Data Centre (BADC) to assist the academic community during this volcanic ash event.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/13984/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/1917/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52751/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52752/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52753/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52756/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52757/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52758/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52759/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52755/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/13786/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2532/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "restricted", "accessRoles": "ukmo_wx", "label": "restricted: ukmo_wx group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/ukmo_agreement.pdf", "licenceClassifications": "academic" }, { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2533/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "restricted", "accessRoles": "ukmo_wx_gov", "label": "restricted: ukmo_wx_gov group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/ukmo_agreement_gov.pdf", "licenceClassifications": "policy" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }